dev-python / parse_type

Extension to the parse module

Official package sites : https://pypi.org/project/parse-type/ ·

v0.6.2 :: 0 :: gentoo

Modified
License
MIT
Keywords
amd64 arm64 ~x86
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

python3_10
Build with Python 3.10
python3_11
Build with Python 3.11
python3_12
Build with Python 3.12

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-python / parse : Parse strings using a specification based on the Python format() syntax

dev-python / six : Python 2 and 3 compatibility library

dev-python / pytest-bdd : BDD library for the pytest runner

Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
dev-python/parse_type: Stabilize 0.6.2 arm64, #918295
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: drop 0.6.0-r1, 0.6.1
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Sam James · gentoo
dev-python/parse_type: Stabilize 0.6.2 ALLARCHES, #910662
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: add 0.6.2
This fixes the test issue that caused it to require latest parse, so can drop the >= bound. Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: add 0.6.1
Upstream does not specify the bound, but depend on >=parse-1.19.1 given tests fail with parse-1.19.0. Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Ionen Wolkens · gentoo
dev-python/parse_type: depend on <parse-1.19.1 for 0.6.0
Failing tests. Fixed in the 0.6.1, but this is for while waiting for stable. Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: enable py3.12
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
David Seifert · gentoo
*/*: remove py3.8 from PYTHON_COMPAT
Signed-off-by: David Seifert <soap@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: use .gh distfile suffix
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: enable py3.11
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: drop 0.5.6
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Ionen Wolkens · gentoo
dev-python/parse_type: stabilize 0.6.0 for amd64
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: add 0.6.0
2to3 workaround is no longer necessary Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/parse_type: Remove old
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Jakov Smolić · gentoo
dev-python/parse_type: Stabilize 0.5.6 ALLARCHES, #828752
Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: add 0.5.6
Use github given pypi is stuck at 0.5.2 Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-python/parse_type: amd64 stable wrt bug #818031
Package-Manager: Portage-3.0.20, Repoman-3.0.3 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-python/parse_type: Keyword 0.5.2 arm64, #818277
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
dev-python/parse_type: initial 0.5.2 import
Signed-off-by: Ionen Wolkens <ionen@gentoo.org>